version: "3.7"
services:

  events-server:
    image: events-server:latest
    ports:
      - "3000:3000"
    networks:
      - events
    environment:
      - RAILS_ENV=development
      - HOST_EMAIL=default-host-email-for-seeds@some-email.de
      - API_KEY=DefaultKey-12345-ABCD
      - SMTP_ADDR=mail
      - SMTP_PORT=25
      - SMTP_DOMAIN=some-email.com
    deploy:
      replicas: 1
      resources:
        limits:
          cpus: "0.2"
          memory: 100M
      restart_policy:
        condition: always

  openapi:
    image: openapi-events-doc:latest
    ports:
      - "8080:8080"
    networks:
      - events
    deploy:
      replicas: 1
      resources:
        limits:
          cpus: "0.2"
          memory: 100M
      restart_policy:
        condition: always

  mail:
    image: bytemark/smtp:latest
    ports:
      - "25"
    networks:
      - events
    deploy:
      replicas: 1
      resources:
        limits:
          cpus: "0.1"
          memory: 50M
      restart_policy:
        condition: always
networks:
  events: